You are viewing a plain text version of this content. The canonical link for it is here.
Posted to commits@spark.apache.org by pw...@apache.org on 2014/11/10 21:38:39 UTC

spark git commit: [SPARK-4312] bash doesn't have "die"

Repository: spark
Updated Branches:
  refs/heads/master 0340c56a9 -> c5db8e2c0


[SPARK-4312] bash doesn't have "die"

sbt-launch-lib.bash includes `die` command but it's not valid command for Linux, MacOS X or Windows.

Closes #2898

Author: Jey Kottalam <je...@kottalam.net>

Closes #3182 from sarutak/SPARK-4312 and squashes the following commits:

24c6677 [Jey Kottalam] bash doesn't have "die"


Project: http://git-wip-us.apache.org/repos/asf/spark/repo
Commit: http://git-wip-us.apache.org/repos/asf/spark/commit/c5db8e2c
Tree: http://git-wip-us.apache.org/repos/asf/spark/tree/c5db8e2c
Diff: http://git-wip-us.apache.org/repos/asf/spark/diff/c5db8e2c

Branch: refs/heads/master
Commit: c5db8e2c07e442654f3d368608108e714e080184
Parents: 0340c56
Author: Jey Kottalam <je...@kottalam.net>
Authored: Mon Nov 10 12:37:56 2014 -0800
Committer: Patrick Wendell <pw...@gmail.com>
Committed: Mon Nov 10 12:37:56 2014 -0800

----------------------------------------------------------------------
 sbt/sbt-launch-lib.bash | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)
----------------------------------------------------------------------


http://git-wip-us.apache.org/repos/asf/spark/blob/c5db8e2c/sbt/sbt-launch-lib.bash
----------------------------------------------------------------------
diff --git a/sbt/sbt-launch-lib.bash b/sbt/sbt-launch-lib.bash
index 7f05d2e..055e206 100755
--- a/sbt/sbt-launch-lib.bash
+++ b/sbt/sbt-launch-lib.bash
@@ -124,7 +124,8 @@ require_arg () {
   local opt="$2"
   local arg="$3"
   if [[ -z "$arg" ]] || [[ "${arg:0:1}" == "-" ]]; then
-    die "$opt requires <$type> argument"
+    echo "$opt requires <$type> argument" 1>&2
+    exit 1
   fi
 }
 


---------------------------------------------------------------------
To unsubscribe, e-mail: commits-unsubscribe@spark.apache.org
For additional commands, e-mail: commits-help@spark.apache.org